#ifndef __Status_Task_h__
#define __Status_Task_h__

#include "kwikstik.h"
#include "Driver_ADC.h"
#include "Driver_SLCD.h"



#define USB_JLINK (GPIO_PORT_E | GPIO_PIN7)
#define USB_K40   (GPIO_PORT_E | GPIO_PIN12)

typedef enum {
   JLINK_INPUT=0,
   K40_INPUT,
   MAX_INPUTS
} Input_t;

static FILE_PTR input_port=NULL;

void Battery_Check();
void USB_Check();
void Battery_Init(void);
boolean InitializeIO(void);
boolean GetInput(Input_t);


 /**
    Global voltage threshold defines
  */
  #define BAT_LOW_LEVEL_mV                1400
  #define BAT_MIDDLE_LEVEL_mV             1500
  #define BAT_HIGH_LEVEL_mV               1600
  #define REF_VOLTAGE_mV                  2970
  #define BAT_ADC_RESOLUTION              255

  /**
    Macros to determine the ADC counts for the different thresholds.
  */
  #define BAT_LOW_LEVEL_THRESHOLD         (U32)(((U32)BAT_LOW_LEVEL_mV*(U32)BAT_ADC_RESOLUTION)/(U32)REF_VOLTAGE_mV)
  #define BAT_MIDDLE_LEVEL_THRESHOLD      (U32)(((U32)BAT_MIDDLE_LEVEL_mV*(U32)BAT_ADC_RESOLUTION)/(U32)REF_VOLTAGE_mV)
  #define BAT_HIGH_LEVEL_THRESHOLD        (U32)(((U32)BAT_HIGH_LEVEL_mV*(U32)BAT_ADC_RESOLUTION)/(U32)REF_VOLTAGE_mV)


#endif
