#ifndef __DRIVER_DAC_H__
#define __DRIVER_DAC_H__

  #include "MK40X256VMD100.h"
  #include "PounceTypes_v2.h"

  /**
    Global defines 
  */
  #define DAC_ENABLE                    DAC_C0_DACEN_MASK
  #define HW_TRIGGER                    0
  #define SW_TRIGGER                    DAC_C0_DACTRGSEL_MASK
  #define DACREF_1                      0
  #define DACREF_2                      DAC_C0_DACRFS_MASK
  #define DAC_BUFFER_ENABLE             DAC_C1_DACBFEN_MASK
  #define DAC_BUFFER_DISABLE            0
  #define SET_BUFFER_UP_LIMIT(x)        DAC_C2_DACBFUP(x)
  #define SET_BUFFER_POINTER(x)         DAC_C2_DACBFRP(x)

  /**
    Public Function Prototypes
  */
  void _DAC0_Init(void);
  void _DAC1_Init(void);
  void _DAC0_Enable(void);
  void _DAC1_Enable(void);
  void _DAC0_Disable(void);
  void _DAC1_Disable(void);
  void _DAC0_Write(U16 DAC_Value);
  void _DAC1_Write(U16 DAC_Value);
  
#endif /* __DRIVER_DAC_H__ */