#ifndef __DRIVER_FLEXTIMER_H__
#define __DRIVER_FLEXTIMER_H__

  #include "PounceTypes_v2.h"
  #include "MK40X256VMD100.h"

  /**
    Global defines & macros
  */
  #define INTERRUPT_ENABLE                FTM_SC_TOIE_MASK
  #define INTERRUPT_DISABLE               0
  #define SET_PRESCALER(x)                FTM_SC_PS(x) 
  #define SET_CLOCK_SOURCE(x)             FTM_SC_CLKS(x)
  #define SET_MOD_VALUE(x)                FTM_MOD_MOD(x)
  #define DIV_BY_1                        0
  #define DIV_BY_2                        1
  #define DIV_BY_4                        2
  #define DIV_BY_8                        3
  #define DIV_BY_16                       4
  #define DIV_BY_32                       5
  #define DIV_BY_64                       6  
  #define DIV_BY_128                      7      
  #define FTM0                            0
  #define FTM1                            1
  #define FTM2                            2
  
  /**
    Public Function Prototypes
  */
  void _FlexTimer_Init(U08 FlexTimer, U08 Prescaler, U08 InterruptEnable, U16 ModValue);
  void _FlexTimer_Enable(U08 Timer);  
  void _FlexTimer_Disable(U08 Timer);

#endif /* __DRIVER_FLEXTIMER_H__ */
